package ambienteGrafico.componentes;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
 
public class OptionPaneMultiple extends JFrame
{
	public OptionPaneMultiple()
	{
		
 

	}
 
	public String[] showInputDialog(String valorDefaultX, String valorDefaultY){
		JTextField eixoXMaxValor = new JTextField(5);
		eixoXMaxValor.setText(valorDefaultX);
		JTextField eixoYMaxValor = new JTextField(5);
		
		eixoYMaxValor.setText(valorDefaultY);
		Object[] msg = {"M�ximo valor eixo horizontal:", eixoXMaxValor, "M�ximo valor eixo verticcal:", eixoYMaxValor};
 
		Object[] options = {"Ok", "Cancel"};
		JOptionPane op = new JOptionPane(
			msg,
			JOptionPane.PLAIN_MESSAGE,
			JOptionPane.OK_OPTION,
			null,
			options);
 
		JDialog dialog = op.createDialog(this, "Limites do Espa�o de Busca");
		dialog.show();
 
		String result;// = JOptionPane.OK_OPTION;
		String [] retorno= null;

			
		result = (String) op.getValue();
		
		
		
		//Se OK
		if(result.equalsIgnoreCase("Ok"))
		{
			retorno= new String[2];
			retorno[0] = eixoXMaxValor.getText();
			retorno[1] = eixoYMaxValor.getText();
			if(retorno[0].equalsIgnoreCase("") || retorno[1].equalsIgnoreCase("")){
	    		System.out.println("valores dos eixos n'ao especificados");
			}
			System.out.println(eixoXMaxValor.getText() + " : " + eixoYMaxValor.getText());
		}
		else
		{
			retorno=null;
			System.out.println("Canceled");
		}
		
 
		return retorno;
		
	}
	
	public static  int  showLimiteDeContinuidadeDialog(int limiteDefaultValue, String titulo, String mensagem, Component parent){
		JTextField limiteDeContinuidade = new JTextField(5);
		
		limiteDeContinuidade.setText(limiteDefaultValue+"");
		Object[] msg = {mensagem, limiteDeContinuidade};
 
		Object[] options = {"Ok"};
		JOptionPane op = new JOptionPane(
			msg,
			JOptionPane.PLAIN_MESSAGE,
			JOptionPane.OK_CANCEL_OPTION,
			null,
			options);
 
		JDialog dialog = op.createDialog( parent, titulo);
		dialog.show();
 
		int result = JOptionPane.OK_OPTION;
 
		try {result = ((Integer)op.getValue()).intValue();}
		catch(Exception uninitializedValue){}
 
		int retorno = limiteDefaultValue;
		if(result == JOptionPane.OK_OPTION)
		{
			retorno= Integer.parseInt(limiteDeContinuidade.getText());
		}
		return retorno;
		
	}
	
	public static void main(String[] args)
	{
		OptionPaneMultiple frame = new OptionPaneMultiple();
		frame.showInputDialog("10", "10");
		frame.setDefaultCloseOperation( EXIT_ON_CLOSE );
		
	}
}

